| Home | Libraries | People | FAQ | More

## Struct template is_fundamental

boost::compute::is_fundamental

## Synopsis

    // In header: <boost/compute/type_traits/is_fundamental.hpp>

    template<typename T>
    struct is_fundamental : public boost::false_type {
    };

## Description

Meta-function returning `true` if `T` is a fundamental (i.e. built-in) type.

For example,

    is_fundamental<float>::value == true
    is_fundamental<std::pair<int, float>>::value == false